Name:		netpanzer
Version:	0.8.4
Release:	%mkrel 3
License:	GPLv2+
Group:		Games/Strategy
Summary:	An online multiplayer tactical warfare game
URL:		http://netpanzer.berlios.de/
#SVN export done 7 jan 2012 from http://svn.berlios.de/svnroot/repos/netpanzer/tags/netpanzer/0.8.4
Source0:	%{name}-%{version}.tar.xz
Patch0:         fedora-netpanzer-0.8.2-MapSelectionView-memory.patch
Patch1:         fedora-netpanzer-0.8.3-optflags-580241.patch
Patch2:		netpanzer-0.8.4-gcc470.patch
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	scons
BuildRequires:	libwxgtk-devel
BuildRequires:	physfs-devel >= 0.1.9
BuildRequires:	libxml2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
netPanzer is an online multiplayer tactical warfare game designed for
play across the Internet and over LAN systems. One on one games are
possible via direct connect or modem. netPanzer is designed for FAST
ACTION combat -- it is not another resource management clone. In fact,
there aren't any resources at all. Each player will have many units of
different types at their disposal. Players can fight until their units
are destroyed -- then respawn and keep on going. The game is real-time,
but it's based on quick tactical action and unit management. Battles
progress quickly and constantly; in fact, they never let up. There is no
stop in the action because there is no waiting for resources to be
collected and converted into weaponry. Players can join or leave
multiplayer games at any time.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
scons datadir=%{_gamesdatadir}/netpanzer %_smp_mflags

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 netpanzer %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr cache/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr maps/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr pics/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr powerups/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr scripts/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr units/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr wads/ %{buildroot}%{_gamesdatadir}/netpanzer/
cp -pr sound/ %{buildroot}%{_gamesdatadir}/netpanzer/

# Install desktop item
# rm -f $RPM_BUILD_ROOT%{_datadir}/applications/netpanzer.desktop
# rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/netpanzer.xpm

desktop-file-install --vendor="%{_real_vendor}" \
  --remove-category="Application" \
  --add-category="Game;StrategyGame" \
  --dir %{buildroot}%{_datadir}/applications netpanzer.desktop

%{__install} -d %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert %{name}.png -size 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{name}.png -size 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{name}.png -size 48x48 %{buildroot}%{_liconsdir}/%{name}.png

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README RELNOTES TODO docs/serverhowto.html docs/tipofday.txt
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.8.4-3.mga3
+ Revision: 360995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 0.8.4-2.mga3
+ Revision: 328094
- fix build with gcc 4.7

* Sun Jan 08 2012 zezinho <zezinho> 0.8.4-1.mga2
+ Revision: 193530
- new version

* Tue Jun 14 2011 zezinho <zezinho> 0.8.3.svn612010-1.mga2
+ Revision: 106306
- imported package netpanzer

